Subject: RE: [NSIS] Two kinds of requirements (unsupported domains + chic k en and eggs)

From: "Geib, Ruediger" <[email-masked]>
Date: Mon, 21 Jan 2002 10:40:26 +0100

> I agree that it is the user that makes the decision about a 
> chunk of network that cannot support the requested QoS.
> 
> But why mark the packet and continue on all the way to the 
> destination and back? It is simpler for a user to indicate
> in the original request:
> 1. Don't downgrade
> 2. Downgrade to no lower than [x]
> 3. I'd prefer QoS [n] but I'll accept Best Efoort if I have to.

Case 3 probably results in Best Effort should you apply at inter carrier interfaces. I mean, it's a competitors reservation and the competitors customer sees what he's getting from his provider (because he doesn't know that I am the bad guy...).
Ok, I may have expressed it extremely negative, but did I really fail to describe business humanity? I would suggest to leave no room for negotiation and interpretation at inter carrier interfaces. 

This option may be allright at the first/final customer - provider edge. But it should be limited to this interface.
I personally look at negotiation only as an optional feature. To me, it's not a requirement.

Regards, Rüdiger

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis